## docbook-website 2.5.0.0

=== Makefile ===
SOURCEPATH=../..
VPATH=$(SOURCEPATH)/com
CLASSBASE=$(SOURCEPATH)/.classes
SUBDIRS=__PHONY__ nwalsh

include Makefile.incl
include ../../.classes/Makefile.common

=== nwalsh/Makefile ===
SOURCEPATH=../../..
VPATH=$(SOURCEPATH)/com/nwalsh
CLASSBASE=$(SOURCEPATH)/.classes
SUBDIRS=__PHONY__ saxon

include Makefile.incl
include ../../../.classes/Makefile.common

=== nwalsh/xalan/Makefile ===
SOURCEPATH=../../../..
VPATH=$(SOURCEPATH)/com/nwalsh/xalan
CLASSBASE=$(SOURCEPATH)/.classes
SUBDIRS=__PHONY__

include Makefile.incl
include ../../../../.classes/Makefile.common

=== debian/changelog ===
docbook-website (2.5.0.0-10) unstable; urgency=medium

  * QA upload.

  * Updated vcs in d/control to Salsa.
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.3 to 4.7.0.
  * Moved to debhelper compat level 13.
  * Added some metadata to patches.
  * Removed postinst script added 2012 to remove 'old cruft'.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 23 Apr 2024 15:59:57 +0200

docbook-website (2.5.0.0-9) unstable; urgency=medium

  * QA upload.
  * d/copyright: Convert to machine-readable format.
  * Convert to 3.0 (quilt) format (Closes: #1007618).

  [ Helmut Grohne ]
  * Mark docbook-website Multi-Arch: foreign (Closes: #946276).

 -- Bastian Germann <bage@debian.org>  Mon, 29 Aug 2022 09:30:15 +0200

docbook-website (2.5.0.0-8.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 17:05:40 +0100

docbook-website (2.5.0.0-8) unstable; urgency=low

  * QA upload.
  * Update transitional code in postinst to play well with new sgml-base.
    Thanks to Helmut Grohne for the patch! (closes: #675481)
  * Maintainer field set to QA group.
  * Standards-Version set to 3.9.3.
  * Set debhelper compatibility level to 9.
  * Provide build-{arch,indep} targets.
  * List debhelper in Build-Depends rather than Build-Depends-Indep as it is
    required to run the clean target.
  * Use dh_prep as opposed to dh_clean -k, which is deprecated.
  * Use Homepage field rather than a pseudo-header. (closes: #615258)
  * Fix typo in title field of doc-base control file (Docbook -> DocBook).
  * Fix doc-base section (Apps/Text -> Text).

 -- Emanuele Rocca <ema@debian.org>  Fri, 15 Jun 2012 13:20:28 +0000

docbook-website (2.5.0.0-7.2) unstable; urgency=low

  * NMU.
  * Fixed "The catalog doesn't contain rewrite rules for URIs".
    Patch by Sergio Gelato <Sergio.Gelato@astro.su.se>. Closes: #233004.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 06 Sep 2006 22:34:51 +1000

docbook-website (2.5.0.0-7.1) unstable; urgency=low

  * Added Build-Depends-Indep: xml-core. (closes: #233146)

 -- Arnaud Vandyck <avdyk@debian.org>  Fri, 19 Mar 2004 16:28:08 +0100

docbook-website (2.5.0.0-7) unstable; urgency=low

  * Changed rules to use dh_installxmlcatalogs.

 -- Mark Johnson <mrj@debian.org>  Mon,  9 Feb 2004 18:22:29 -0500

docbook-website (2.5.0.0-6) unstable; urgency=low

  * Changed /usr/share/sgml file:// URIs to /usr/share/xml. 
  * (closes: #230812) (closes: #231301)
  * Really fixed compatibility symlinks in /usr/share/sgml.

 -- Mark Johnson <mrj@debian.org>  Mon,  9 Feb 2004 17:51:05 -0500

docbook-website (2.5.0.0-5) unstable; urgency=low

  * Fixed compatibility symlink.

 -- Mark Johnson <mrj@debian.org>  Fri, 30 Jan 2004 20:27:09 -0500

docbook-website (2.5.0.0-4) unstable; urgency=low

  * Fixed xml catalog registration snippets in maintainer scripts. 
  * (closes: #229853)

 -- Mark Johnson <mrj@debian.org>  Tue, 27 Jan 2004 12:55:46 -0500

docbook-website (2.5.0.0-3) unstable; urgency=low

  * Added dependency on xml-core & sgml-base. (closes: #229352)
  * Fixed README.Debian so it refers to new installation location 
  * under /usr/share/xml. (closes: #229226)
  * Added compatibility symlinks under /usr/share/sgml. (closes: #229227)

 -- Mark Johnson <mrj@debian.org>  Sat, 24 Jan 2004 19:38:57 -0500

docbook-website (2.5.0.0-2) unstable; urgency=low

  * Added xml catalog support. (closes: #223318)
  * Migrated installation to /usr/share/xml.
  * Now install extensions in /usr/share/java. (closes: #177138)
  * Checked autolayout.dtd (closes: #219287)

 -- Mark Johnson <mrj@debian.org>  Thu, 22 Jan 2004 18:31:20 -0500

docbook-website (2.5.0.0-1) unstable; urgency=low

  * Restructured build, symlinks. (closes: #220337)

 -- Mark Johnson <mrj@debian.org>  Thu, 13 Nov 2003 15:39:23 -0500

docbook-website (2.5.0-2) unstable; urgency=low

  * Fixed DTD version in autolayout.xsl, (closes: #219287)
  * Removed .xvpics dir in graphics directory

 -- Mark Johnson <mrj@debian.org>  Wed,  5 Nov 2003 14:17:47 -0500

docbook-website (2.5.0-1) unstable; urgency=low

  * New upstream release, no entry yet in xml catalog tree

 -- Mark Johnson <mrj@debian.org>  Mon,  3 Nov 2003 16:51:06 -0500

docbook-website (2.4.0-6) unstable; urgency=low

  * Fixed symlink generation snafu (arghhh!)

 -- Mark Johnson <mrj@debian.org>  Tue, 28 Jan 2003 11:50:17 -0600

docbook-website (2.4.0-5) unstable; urgency=low

  * Added more useful info to README.Debian
  * Placed VERSION file in correct location (closes: #178678) 
  * Created symlinks & cat entries for compatibility with previous
    versions (closes: #118050)
  * Updated copyright

 -- Mark Johnson <mrj@debian.org>  Tue, 28 Jan 2003 10:59:07 -0600

docbook-website (2.4.0-4) unstable; urgency=low

  * Fixed another typo in SGML catalog. Arghh.

 -- Mark Johnson <mrj@debian.org>  Mon, 27 Jan 2003 11:04:05 -0600

docbook-website (2.4.0-3) unstable; urgency=low

  * Fixed typo in doc-base entry

 -- Mark Johnson <mrj@debian.org>  Mon, 27 Jan 2003 10:52:05 -0600

docbook-website (2.4.0-2) unstable; urgency=low

  * Fixed typo in postinst th register sgml catalog

 -- Mark Johnson <mrj@debian.org>  Mon, 27 Jan 2003 04:30:17 -0600

docbook-website (2.4.0-1) unstable; urgency=low

  * New upstream release (closes: #172999) (closes: #176455)
  * Added support for relax-ng schema, tweaked catalogs
  * Replaced sourceforge uri's with system filenames (closes: #154678)
    (closes: #161623) (closes: #176291)
  * Comes with pre-built examples (closes: #171152)
  * Still need to fix java policy issues associated with extensions-bug#177138

 -- Mark Johnson <mrj@debian.org>  Mon, 27 Jan 2003 04:09:57 -0600

docbook-website (2.2-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Register 2.2 rather than 2.0b1 catalogs (closes: #161748).


=== debian/control ===
Source: docbook-website
Section: text
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: xml-core
Standards-Version: 4.7.0
Homepage: http://sourceforge.net/projects/docbook/
Vcs-Browser: https://salsa.debian.org/debian/docbook-website
Vcs-Git: https://salsa.debian.org/debian/docbook-website.git
Rules-Requires-Root: no

Package: docbook-website
Architecture: all
Multi-Arch: foreign
Replaces: docbook-xml-website
Depends: ${misc:Depends}, docbook-xml (>= 4.2-7), docbook-xsl
Conflicts: docbook-xml-website
Description: XML Website DTD and XSL Stylesheets
 A docbook-derived XML DTD for building web sites.
 This package includes the xsl stylesheets for this DTD. 
 This version is a customization of the DocBook XML V4.2 DTD.

=== debian/rules ===
#!/usr/bin/make -f

# debian/rules for docbook-website
# Maintainer: Mark Johnson <mrj@debian.org>


#export DH_VERBOSE=1

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_testdir
	touch build-stamp
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	@rm -f debian/docbook-website-xalan2-2.5.0.jar
	@rm -f debian/docbook-website-saxon64-2.5.0.jar

install: build
	dh_testdir
	dh_testroot
	dh_prep

binary-indep: build install
	@cp extensions/xalan2.jar debian/docbook-website-xalan2-2.5.0.jar
	@cp extensions/saxon64.jar debian/docbook-website-saxon64-2.5.0.jar
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_install
	dh_installcatalogs
	dh_installxmlcatalogs
	dh_installdocs
	dh_installexamples
	dh_installchangelogs ChangeLog
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build 
# nothing to be done

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
